package com.steering.pss.plnsaleord.processOrder.entity;
/**
 *  制程变更传递数据类
 * @author Administrator
 *
 */
@SuppressWarnings("serial")
public class MscPlineChangeEntity implements java.io.Serializable {
	/**
	 * 下发人
	 */
	private String creatName;

	/**
	 * 交货行主键
	 */
	private String ordLnDlyPk;

	/**
	 * 排产流水号
	 */
	private String plnDivideId;

	/**
	 * 待分配排产量
	 */
	private double planWeightD = 0;

    /**
     * 排产分配总长
     */
    private double planTotLenD = 0;

	/**
	 * 工艺评审主键
	 */
	private String craftSeq;

	/**
	 * 制程号
	 */
	private String mscPline;

	/**
	 * BOM
	 */
	private String bom;

	/**
	 * 轧管产线
	 */
	private String dPline;


	public String getCreatName() {
		return creatName;
	}

	public void setCreatName(String name) {
		this.creatName = name;
	}

	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	public String getPlnDivideId() {
		return plnDivideId;
	}

	public void setPlnDivideId(String plnDivideId) {
		this.plnDivideId = plnDivideId;
	}

	public double getPlanWeightD() {
		return planWeightD;
	}

	public void setPlanWeightD(double planWeightD) {
		this.planWeightD = planWeightD;
	}

    public double getPlanTotLenD() {
        return planTotLenD;
    }

    public void setPlanTotLenD(double totLenD) {
        this.planTotLenD = totLenD;
    }

	public String getCraftSeq() {
		return craftSeq;
	}

	public void setCraftSeq(String seq) {
		this.craftSeq = seq;
	}

	public String getMscPline() {
		return mscPline;
	}

	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	public String getBom() {
		return bom;
	}

	public void setBom(String bom) {
		this.bom = bom;
	}

	public String getdPline() {
		return dPline;
	}

	public void setdPline(String dPline) {
		this.dPline = dPline;
	}


}
